#ifndef _PZEMAIV_H_
#define _PZEMAIV_H_

typedef struct {

unsigned char version; // Versionserkennung

unsigned char cnt;     // Anzahl vorhandener Zeichensaetze

unsigned char temp[2]; // Reserve

unsigned long ptrFontArray; // Zeiger auf den 1. vorhandenen Zeichensatz

} FONTNODE;

 

typedef struct {

unsigned char version; // Versionserkennung

char name[32];         // Name des Zeichensatzes

unsigned char type;    // 0 = System, 1 = User

short bytesPerChar;    // Bytes pro Zeichen (gilt fr alle Zeichen)

unsigned char linesPerChar; // Zeilen pro Zeichen (-"-)

unsigned char temp[3]; // Reserve

unsigned long crc;

unsigned long size;   // Groesse in Byte des Zeichensatzes

unsigned long ptrTable; // Zeiger auf Zeichentabelle

unsigned long ptrCharacter; // Zeiger auf das 1. Zeichen

} FONT;

 

typedef struct {

unsigned char version;

unsigned char cnt;

unsigned char temp[2];

unsigned long ptrGraficArray;

} GRAFICNODE;

 

typedef struct {

unsigned char version;

char name[32];

unsigned char type; // 0 = Systemicon, 1 = Bitmap

unsigned char temp[2];

unsigned short width;

unsigned short height;

unsigned long crc;

unsigned long ptrGrafic;

} GRAFIC;

#endif
